package com.ejie.ad74a.util.constantes;

import java.util.Locale;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.util.comun.Utilidades;

/**
 * Tipos de entrada
 */

public enum TipoMovimientoDispositivoEnum {

	ALTA("1", "TipoMovimientoDispositivos.alta"), BAJA("2", "TipoMovimientoDispositivos.baja"),
	SUSTITUCION("3", "TipoMovimientoDispositivos.sustitucion"),
	SEGMENTACION("4", "TipoMovimientoDispositivos.segmentacion"),
	RENOVACION("5", "TipoMovimientoDispositivos.renovacion");

	private TipoMovimientoDispositivoEnum(String id, String labelDesc) {
		this.labelDesc = labelDesc;
		this.id = id;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public Long getIdLongValue() {
		return Long.valueOf(this.id);
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

	public String getLabelDesc(Locale locale) {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc, locale);
	}

}
